// ==================================================================================
//
//	File Name:			Sales.cs
//
//  Description:		The Business Rule Tier of Sales
//
//  Tables:				nothing
//
//  Author:				Ben
//
//  Create Date:		2005.2.28
//
// ==================================================================================
using System;

namespace CU.Sales.BR
{
	/// <summary>
	/// Sales ժҪ˵
	/// </summary>
	public class Sales
	{
		public Sales()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
		}

		public CU.Common.Data.SalesBillData GetSalesRecs()
		{
			return new CU.Sales.DA.Sales().GetSalesRecs();
		}

		public int InsertSales(CU.Common.Data.SalesBillData sbd)
		{
			int intRet = -1;

			int intResult = new CU.Sales.DA.Sales().InsertSales(sbd);

			if ( intResult > 0 )
			{
				int intUpdateQTY = new CU.Inventory.BR.InventoryQty().UpdateQty();

				if ( intUpdateQTY > 0 )
					intRet = 0;
				else
					intRet = -100;
			}

			return intRet;
		}

		public int UpdateSales(CU.Common.Data.SalesBillData sbd)
		{
			return new CU.Sales.DA.Sales().UpdateSales(sbd);
		}

		public int DeleteSales(CU.Common.Data.SalesBillData sbd)
		{
			return new CU.Sales.DA.Sales().DeleteSales(sbd);
		}

	}

	
}
